#Data set from snap.stanford.edu

library(igraph)

facebook <- read.table(file="data/3980.edges")
facebook.graph <- graph(t(as.matrix(facebook)), directed=FALSE)
facebook.graph <- simplify(facebook.graph)

length(V(facebook.graph))
length(E(facebook.graph))

plot(facebook.graph)

plot(facebook.graph, vertex.size=2, vertex.label=NA)

smaller.graph <- delete.vertices(facebook.graph, V(facebook.graph)[degree(facebook.graph)==0])

plot(smaller.graph, vertex.size=2, vertex.label=NA)

plot(smaller.graph, vertex.size=9)

plot(smaller.graph, vertex.size=9, vertex.color="pink")

V(smaller.graph)$color <- "orange"
V(smaller.graph)[degree(smaller.graph) == max(degree(smaller.graph))]$color <- "green"
V(smaller.graph)[degree(smaller.graph) == min(degree(smaller.graph))]$color <- "yellow"
plot(smaller.graph, vertex.size=9)